// packageC/Myshaky/RegistrationDetail/RegistrationDetail.js
var app = getApp();
import util from '../../../utils/util.js';
Page({

  /**
   * 页面的初始数据
   */
  data: {
    tap:1
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      order_id:options.id
    });
    this.getlist();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  getlist() {
    let urlStr = app.getNetAddresss("plugin.activity-apply.api.order.getMyEnrol");
    let that = this;
    app._getNetWork({
      url: urlStr,
      data: {
        order_id: that.data.order_id
      },
      success: function (resdata) {
        var res = resdata.data; 
        if (res.result == 1) {
          // console.log(JSON.parse(res.data.thumb));
          // var reg = /^[\'\"]+|[\'\"]+$/g;
          res.data.thumb = res.data.has_one_activity.thumb;
          res.data.has_one_activity.start_time = util.formatTimeTwo(res.data.has_one_activity.start_time, 'Y/M/D h:m:s');
          res.data.has_one_activity.end_time = util.formatTimeTwo(res.data.has_one_activity.end_time, 'Y/M/D h:m:s');

          that.setData({
            list: res.data,
            'fid.form_id': res.data.form_data_id.form_id,
            form_data_id:res.data.form_data_id.form_data_id
          });
        }
      },
      fail: function (res) {
        console.log(res);
      }
    });
  },
});